Subversion Repositories pyscrabble

Compare Revisions

Ignore whitespace Rev 2 → Rev 3

/trunk/debian/control
7,6 → 7,8
Standards-Version: 3.7.2
Homepage: http://pyscrabble.sourceforge.net
XS-Python-Version: current
XS-Vcs-Browser: http://svn.kibibyte.se/pyscrabble
XS-Vcs-Svn: http://svn.kibibyte.se/pyscrabble/trunk
 
Package: pyscrabble-common
Architecture: all
/trunk/debian/patches/20_about_close.dpatch
0,0 → 1,18
#!/bin/sh /usr/share/dpatch/dpatch-run
## 20_about_close.dpatch by Magnus Holmgren <magnus@kibibyte.se>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Make the Close button in the About dialog work
 
@DPATCH@
diff -urNad trunk~/pyscrabble/gtkutil.py trunk/pyscrabble/gtkutil.py
--- trunk~/pyscrabble/gtkutil.py 2006-12-05 15:49:00.000000000 +0100
+++ trunk/pyscrabble/gtkutil.py 2007-10-03 16:30:51.000000000 +0200
@@ -73,6 +73,7 @@
dialog.set_translator_credits(_('translator-credits'))
gtk.about_dialog_set_url_hook(util.showUrl, data=constants.ONLINE_SITE)
dialog.set_version(constants.VERSION)
+ dialog.connect("response", lambda d, r: d.destroy())
dialog.show()
def getSelectedItem(view, col):
Property changes:
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: patches/00list
===================================================================
--- patches/00list (revision 2)
+++ patches/00list (revision 3)
@@ -1 +1,2 @@
10_installation
+20_about_close
Index: rules
===================================================================
--- rules (revision 2)
+++ rules (revision 3)
@@ -18,16 +18,16 @@
clean: clean-patched unpatch
dh_clean
-clean-patched:
+clean-patched: patch-stamp
dh_testdir
dh_testroot
- rm -f build-stamp configure-stamp
+ rm -f build-stamp
rm -f pyscrabble-*.png pyscrabble-*.xpm
python setup.py clean -a
find -name '*.pyc' -delete
-build: $(DPATCH_STAMPFN)
+build: patch-stamp
python setup.py build
for size in $(ICON_SIZES); do \
@@ -79,7 +79,7 @@
dh_installdocs
dh_installexamples
dh_installman
- dh_installinit
+ dh_installinit -r
dh_installmenu
dh_desktop
dh_strip
/trunk/debian/pyscrabble-server.init
8,10 → 8,6
# Short-Description: PyScrabble server
# Description: Controls the PyScrabble server
### END INIT INFO
#
# Author: Will Gray <graywh@gmail.com>
# Version: 1
#
 
set -e
 
26,21 → 22,26
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
 
. /lib/lsb/init-functions
 
USER="pyscrabble"
 
# Read config file if it is present.
if [ -r /etc/default/$NAME2 ]
then
if [ -r /etc/default/$NAME2 ]; then
. /etc/default/$NAME2
fi
 
d_running() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name $NAME --test > /dev/null
}
 
#
# Function that starts the daemon/service.
#
d_start() {
start-stop-daemon --start --quiet --background --make-pidfile --pidfile $PIDFILE \
--chuid "$USER" --exec $DAEMON \
|| echo -n " already running"
start-stop-daemon --start --oknodo --quiet --pidfile $PIDFILE --name $NAME \
--background --make-pidfile --chuid "$USER" --startas $DAEMON
}
 
#
47,22 → 48,28
# Function that stops the daemon/service.
#
d_stop() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--name $NAME \
|| echo -n " not running"
start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE --name $NAME
rm -f $PIDFILE
}
 
case "$1" in
start)
echo -n "Starting $DESC: $NAME2"
d_start
echo "."
log_daemon_msg "Starting $DESC" "$NAME2"
if d_running; then
log_progress_msg "already running"
else
d_start;
fi
log_end_msg 0
;;
stop)
echo -n "Stopping $DESC: $NAME2"
d_stop
echo "."
log_daemon_msg "Stopping $DESC" "$NAME2"
if ! d_running; then
log_progress_msg "not running"
else
d_stop
fi
log_end_msg 0
;;
#reload)
#
83,7 → 90,7
# option to the "reload" entry above. If not, "force-reload" is
# just the same as "restart".
#
echo -n "Restarting $DESC: $NAME2"
log_daemon_msg "Restarting $DESC" "$NAME2"
d_stop
# One second might not be time enough for a daemon to stop,
# if this happens, d_start will fail (and dpkg will break if
92,8 → 99,12
# Notice that using --retry slows down the shutdown process somewhat.
sleep 1
d_start
echo "."
log_end_msg 0
;;
status)
d_running || status="not "
log_action_msg "Status of $DESC:" "${status}running"
;;
*)
# echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
/trunk/debian/pyscrabble-server.README.Debian
1,15 → 1,21
pyscrabble for Debian
---------------------
 
The pyscrabble-server package installs the PyScrabble server as a
daemon along with a System V init script that runs the server under a
dedicated user account, created on installation. The original code is
modified so that instead of ~/.config/pyscrabble/, it reads the
configuration from files in /etc/pyscrabble/, stores the server
database in /var/lib/pyscrabble, and writes the log to
/var/log/pyscrabble/pyscrabble.log.
 
My assumption is that most users don't need or want to run their own
server.
server. Therefore the PyScrabble server is in a separate package that
installs it as a system daemon. By default the server runs under a
dedicated user account, created on installation.
 
-- Magnus Holmgren <magnus@kibibyte.se>, Sun, 30 Sep 2007 20:42:01 +0200
The original code is modified so that instead of
~/.config/pyscrabble/, the server reads its configuration from files
in /etc/pyscrabble/, stores its database in /var/lib/pyscrabble, and
logs to /var/log/pyscrabble/pyscrabble.log. The log is not
automatically rotated, because the server can't currently be told to
reopen the log, and restarting it kills all client sessions and
ongoing games.
 
For the same reason, the server is not restarted when upgraded. The
administrator should notify the users and restart the server at the
earliest opportunity.
 
-- Magnus Holmgren <magnus@kibibyte.se>, Wed, 3 Oct 2007 15:22:24 +0200